Get a product by id.
curl --request GET \
--url https://partner-api.aasaan.shop/api/v1/partner-integrations/stores/{storeId}/products/{productId}import requests
url = "https://partner-api.aasaan.shop/api/v1/partner-integrations/stores/{storeId}/products/{productId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://partner-api.aasaan.shop/api/v1/partner-integrations/stores/{storeId}/products/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://partner-api.aasaan.shop/api/v1/partner-integrations/stores/{storeId}/products/{productId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://partner-api.aasaan.shop/api/v1/partner-integrations/stores/{storeId}/products/{productId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://partner-api.aasaan.shop/api/v1/partner-integrations/stores/{storeId}/products/{productId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://partner-api.aasaan.shop/api/v1/partner-integrations/stores/{storeId}/products/{productId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "623d3455ec3c4b3548eb4a343",
"name": "Head & Shoulders Anti Hairfall Anti Dandruff Shampoo",
"slug": "head_shoulders_anti_hairfall_anti_dandruff_shampoo_650_ml_22",
"salesPrice": 543,
"regularPrice": 543,
"quantity": 1,
"description": "Now, ensure the good health of your hair with Head & Shoulders Anti Hairfall Anti Dandruff Shampoo that strengthens hair from its roots and cures dandruff. Be it dry, frizzy, or damaged, this shampoo can bring back the younger days of your hair within just a few days. The shampoo is richly indulgent and improves the experience of washing your hair. It makes your hair dandruff-free up to 100%. Do not fret over chemicals as the product is gentle in use and can be used every day.",
"shortDescription": "Anti Dandruff Shampoo that strengthens hair from its roots and cures dandruff",
"hide": false,
"active": true,
"outOfStock": false,
"displayOrder": 1,
"width": 100,
"height": 200,
"depth": 20,
"weight": 500,
"isShippingEnabled": true,
"isVariantEnabled": true,
"variantAttributeValues": [
{
"name": "color",
"value": [
"blue, yellow, green"
]
}
],
"seo": {
"title": "Head and Shoulders",
"description": "Head & Shoulders Anti Hairfall Anti Dandruff Shampoo that strengthens hair",
"image": {
"url": "https://images.aasaan.app/123412421",
"type": "image/png"
}
},
"categories": [
{
"id": "1231231",
"name": "Shampoos and Soaps"
}
],
"images": [
{
"id": 0,
"url": "https://images.aasaan.app/123412421",
"type": "image/png"
}
],
"brand": {
"id": "636f2e876e9de14bfe1b02fa",
"name": "P&G"
},
"metaData": {},
"variants": [
{
"id": "567152378158871683",
"name": "Head & Shoulders Anti Hairfall Anti Dandruff Shampoo 600ml",
"salesPrice": 800,
"regularPrice": 800,
"quantity": 10,
"description": "",
"shortDescription": "",
"hide": false,
"active": true,
"outOfStock": false,
"width": 10,
"height": 10,
"depth": 10,
"weight": 10,
"isShippingEnabled": true,
"images": [
{
"id": 0,
"url": "https://images.aasaan.app/123412421",
"type": "image/png"
}
],
"date_created": "2022-03-25T03:17:44.092Z",
"date_modified": "2022-06-10T07:51:12.510Z"
}
],
"date_created": "2022-03-25T03:17:44.092Z",
"date_modified": "2022-06-10T07:51:12.510Z"
}Product
Get a product by id.
Returns a product.
GET
/
{storeId}
/
products
/
{productId}
Get a product by id.
curl --request GET \
--url https://partner-api.aasaan.shop/api/v1/partner-integrations/stores/{storeId}/products/{productId}import requests
url = "https://partner-api.aasaan.shop/api/v1/partner-integrations/stores/{storeId}/products/{productId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://partner-api.aasaan.shop/api/v1/partner-integrations/stores/{storeId}/products/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://partner-api.aasaan.shop/api/v1/partner-integrations/stores/{storeId}/products/{productId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://partner-api.aasaan.shop/api/v1/partner-integrations/stores/{storeId}/products/{productId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://partner-api.aasaan.shop/api/v1/partner-integrations/stores/{storeId}/products/{productId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://partner-api.aasaan.shop/api/v1/partner-integrations/stores/{storeId}/products/{productId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "623d3455ec3c4b3548eb4a343",
"name": "Head & Shoulders Anti Hairfall Anti Dandruff Shampoo",
"slug": "head_shoulders_anti_hairfall_anti_dandruff_shampoo_650_ml_22",
"salesPrice": 543,
"regularPrice": 543,
"quantity": 1,
"description": "Now, ensure the good health of your hair with Head & Shoulders Anti Hairfall Anti Dandruff Shampoo that strengthens hair from its roots and cures dandruff. Be it dry, frizzy, or damaged, this shampoo can bring back the younger days of your hair within just a few days. The shampoo is richly indulgent and improves the experience of washing your hair. It makes your hair dandruff-free up to 100%. Do not fret over chemicals as the product is gentle in use and can be used every day.",
"shortDescription": "Anti Dandruff Shampoo that strengthens hair from its roots and cures dandruff",
"hide": false,
"active": true,
"outOfStock": false,
"displayOrder": 1,
"width": 100,
"height": 200,
"depth": 20,
"weight": 500,
"isShippingEnabled": true,
"isVariantEnabled": true,
"variantAttributeValues": [
{
"name": "color",
"value": [
"blue, yellow, green"
]
}
],
"seo": {
"title": "Head and Shoulders",
"description": "Head & Shoulders Anti Hairfall Anti Dandruff Shampoo that strengthens hair",
"image": {
"url": "https://images.aasaan.app/123412421",
"type": "image/png"
}
},
"categories": [
{
"id": "1231231",
"name": "Shampoos and Soaps"
}
],
"images": [
{
"id": 0,
"url": "https://images.aasaan.app/123412421",
"type": "image/png"
}
],
"brand": {
"id": "636f2e876e9de14bfe1b02fa",
"name": "P&G"
},
"metaData": {},
"variants": [
{
"id": "567152378158871683",
"name": "Head & Shoulders Anti Hairfall Anti Dandruff Shampoo 600ml",
"salesPrice": 800,
"regularPrice": 800,
"quantity": 10,
"description": "",
"shortDescription": "",
"hide": false,
"active": true,
"outOfStock": false,
"width": 10,
"height": 10,
"depth": 10,
"weight": 10,
"isShippingEnabled": true,
"images": [
{
"id": 0,
"url": "https://images.aasaan.app/123412421",
"type": "image/png"
}
],
"date_created": "2022-03-25T03:17:44.092Z",
"date_modified": "2022-06-10T07:51:12.510Z"
}
],
"date_created": "2022-03-25T03:17:44.092Z",
"date_modified": "2022-06-10T07:51:12.510Z"
}Path Parameters
Response
Returns a product.
Product description
Example:
"Now, ensure the good health of your hair with Head & Shoulders Anti Hairfall Anti Dandruff Shampoo that strengthens hair from its roots and cures dandruff. Be it dry, frizzy, or damaged, this shampoo can bring back the younger days of your hair within just a few days. The shampoo is richly indulgent and improves the experience of washing your hair. It makes your hair dandruff-free up to 100%. Do not fret over chemicals as the product is gentle in use and can be used every day."
